curl --location --request GET 'https://api.xente.co/transactions/{id}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
{
"code": 0,
"message": "Transaction retrieved successfully",
"data": {
"transactionId": "673cb118-fa10-462c-e1c0-08dc377e93f9",
"requestId": "323333543589",
"batchId": "batch5678",
"accountNumber": "6",
"name": null,
"currency": "UGX",
"amount": -1000.00,
"transactionType": "PAYOUT",
"product": {
"id": "MTNMOBILEMONEYPAYOUTUG",
"name": "Send mobile money"
},
"beneficiary": {
"id": "1223",
"name": "Jane Doe",
"data": {
"CustomerReference": "+1234567890",
"CustomerPhone": "+1234567890",
"CustomerEmail": "johndoe@example.com",
"Memo": "Payment received for invoice #1234"
}
}
}
}
Transactions
Get transaction
This endpoint gets a transaction using a transactionId.
GET
/
api
/
transactions
/
{transactionId}
curl --location --request GET 'https://api.xente.co/transactions/{id}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
{
"code": 0,
"message": "Transaction retrieved successfully",
"data": {
"transactionId": "673cb118-fa10-462c-e1c0-08dc377e93f9",
"requestId": "323333543589",
"batchId": "batch5678",
"accountNumber": "6",
"name": null,
"currency": "UGX",
"amount": -1000.00,
"transactionType": "PAYOUT",
"product": {
"id": "MTNMOBILEMONEYPAYOUTUG",
"name": "Send mobile money"
},
"beneficiary": {
"id": "1223",
"name": "Jane Doe",
"data": {
"CustomerReference": "+1234567890",
"CustomerPhone": "+1234567890",
"CustomerEmail": "johndoe@example.com",
"Memo": "Payment received for invoice #1234"
}
}
}
}
Query
string
This is the ID of the transaction
Response
number
Indicates whether the call was successful. 1 if successful, 0 if not.
object
The contents of the transaction
Show Toggle object
Show Toggle object
number
The unique id of the transaction
number
The id that your system uses to identify the transaction
number
The batch id of the transaction. This is useful if it was sent as part of a bulk/batch payment
number
This is the name of the user group provided in the request body.
string
name of person or business that did transaction
string
Currency of the transaction
number
Amount of the transaction
string
fees on the transaction
string
Who initiated the transaction
string
Who approved the transaction
object
Documents attached to transaction
curl --location --request GET 'https://api.xente.co/transactions/{id}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
{
"code": 0,
"message": "Transaction retrieved successfully",
"data": {
"transactionId": "673cb118-fa10-462c-e1c0-08dc377e93f9",
"requestId": "323333543589",
"batchId": "batch5678",
"accountNumber": "6",
"name": null,
"currency": "UGX",
"amount": -1000.00,
"transactionType": "PAYOUT",
"product": {
"id": "MTNMOBILEMONEYPAYOUTUG",
"name": "Send mobile money"
},
"beneficiary": {
"id": "1223",
"name": "Jane Doe",
"data": {
"CustomerReference": "+1234567890",
"CustomerPhone": "+1234567890",
"CustomerEmail": "johndoe@example.com",
"Memo": "Payment received for invoice #1234"
}
}
}
}
⌘I